> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a feedback result by ID

> <Warning>
The Feedback Management API is currently in **BETA**, therefore the following endpoints are subject to modification, given a **2 week notice**.

If you are planning to use any of them, please **notify us** so we will be able to keep you informed about upcoming changes.
</Warning>

This endpoint lets you retrieve a single feedback result by its ID.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /feedback/feedback_result/{feedback_result_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /feedback/feedback_result/{feedback_result_id}:
    get:
      tags:
        - Feedback Management
      summary: Get a feedback result by ID
      description: >
        <Warning>

        The Feedback Management API is currently in **BETA**, therefore the
        following endpoints are subject to modification, given a **2 week
        notice**.


        If you are planning to use any of them, please **notify us** so we will
        be able to keep you informed about upcoming changes.

        </Warning>


        This endpoint lets you retrieve a single feedback result by its ID.
      operationId: getFeedbackResult
      parameters:
        - in: path
          name: feedback_result_id
          required: true
          schema:
            type: integer
          description: ID of the feedback result
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/feedback_result'
              example:
                id: 1
                business_id: abc
                store_code: STORE-042
                firstname: John
                lastname: Doe
                nps: 9
                content: Great service, will come back!
                state: not_treated
                optin: true
                created: '2024-10-25T15:12:11+00:00'
                feedback_result_fields:
                  - feedback_form_field:
                      id: 674d7aaa13e599deae0001b2
                      field_type: CSAT
                      field_label: How satisfied are you?
                      field_choices: null
                    rating: 5
                    content: null
                    choices: null
                comments: []
                feedback_form:
                  id: 674d791c13c9d976e20001b1
                  display_name: Global Satisfaction
                  custom_hidden_fields: {}
                extra: {}
                issues: null
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    feedback_result:
      type: object
      properties:
        id:
          type: integer
          example: 1
        business_id:
          allOf:
            - $ref: '#/components/schemas/BusinessId'
        store_code:
          type:
            - string
            - 'null'
          description: >-
            Store code of the business, as reported in the hidden fields at
            survey time
          example: STORE-042
        firstname:
          type: string
          description: Firstname of the respondent
          example: John
        lastname:
          type: string
          description: Lastname of the respondent
          example: Doe
        nps:
          allOf:
            - $ref: '#/components/schemas/nps'
        content:
          type: string
          description: Content of the FREE_FORM field
          example: >-
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse
            vulputate efficitur augue, ac auctor nibh scelerisque at. Nulla
            facilisi. Maecenas luctus efficitur sem sit amet ullamcorper. Donec
            tempor augue lorem, vitae convallis sapien aliquam id. Maecenas eu
            odio non est pretium eleifend. Nullam at odio eu ligula ultrices
            tincidunt. Nulla euismod aliquet ex eget efficitur.
        state:
          allOf:
            - $ref: '#/components/schemas/FeedbackResultState'
        optin:
          type: boolean
          description: Whether the respondent accepts to be contacted
          enum:
            - true
            - false
        created:
          type: string
          format: datetime
          description: Date the feedback result was created on
          example: '2024-10-25T15:12:11+00:00'
        feedback_form:
          type: object
          properties:
            id:
              allOf:
                - $ref: '#/components/schemas/FeedbackFormId'
            display_name:
              allOf:
                - $ref: '#/components/schemas/display_name'
            custom_hidden_fields:
              type: object
              additionalProperties:
                type: string
              description: >-
                Custom hidden fields configured on the form, keyed by field ID,
                valued by display name
              example:
                custom_field_1: Campaign
          description: Information about the corresponding feedback form
        feedback_result_fields:
          type: array
          items:
            $ref: '#/components/schemas/feedback_result_field'
          description: The various fields of the feedback result
        comments:
          type: array
          items:
            $ref: '#/components/schemas/feedback_result_reply'
          description: The replies of the feedback result
        extra:
          type: object
          description: >-
            The additional hidden fields (other than `firstname`, `lastname`,
            `store_code`, `email` and `date`)
          example:
            extra_field: value
            extra_field_2: value_2
        issues:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/FeedbackResultIssue'
          description: Data-quality issues flagged on this feedback result, if any
    BusinessId:
      description: Business id
      type: string
      example: 5409c35a97bbc544d8e26737
    nps:
      type: integer
      minimum: 0
      maximum: 10
      description: NPS of the feedback result
      example: 9
    FeedbackResultState:
      type: string
      enum:
        - treated
        - not_treated
      description: State of the feedback result
    FeedbackFormId:
      type: string
      description: The unique identifier of the form
      example: 674d791c13c9d976e20001b1
    display_name:
      type: string
      description: Name of your form
      example: Global Satisfaction
    feedback_result_field:
      type: object
      properties:
        rating:
          type:
            - integer
            - 'null'
          description: |
            Rating assigned by the respondent, if any

            Is set for CSAT and NPS fields
          example: 4
        content:
          type:
            - string
            - 'null'
          description: |
            Text content written by the respondent, if any

            Is set for FREE_FORM fields
          example: null
        choices:
          type:
            - array
            - 'null'
          items:
            type: string
          description: |
            Choices selected by the respondent

            Is set for MULTIPLE_CHOICE fields
          example: null
        feedback_form_field:
          $ref: '#/components/schemas/feedback_form_field'
    feedback_result_reply:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier of the reply
          example: 1
        created:
          type: string
          format: datetime
          description: Date the reply was created
          example: '2024-11-15T10:00:15+00:00'
        author_name:
          type: string
          description: Author of the reply
          example: Jane Doe
        content:
          type: string
          description: Content of the reply
          example: Thank you for your feedback
        feedback_result_id:
          type: integer
          description: Identifier of the feedback result
          example: 1
        user_id:
          allOf:
            - $ref: '#/components/schemas/UserId'
        is_reply_suggestion:
          type: boolean
          description: Whether the reply was created using an AI suggestion
          example: false
    FeedbackResultIssue:
      type: string
      enum:
        - deleted_business
        - missing_store_code
        - deleted_user
      description: A data-quality issue flagged on the feedback result
    feedback_form_field:
      type: object
      properties:
        id:
          type: string
          description: |
            Unique identifier of the field
          example: 674d7aaa13e599deae0001b2
        field_type:
          type: string
          enum:
            - NPS
            - FREE_FORM
            - CSAT
            - MULTIPLE_CHOICE
          example: CSAT
        field_label:
          type: string
          description: |
            The label of the field (i.e. the question that was answered)
          example: How would you rate our service?
        field_choices:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              id:
                type: string
              text:
                type: string
              isOtherOption:
                type: boolean
                description: Whether this is the "Other" option
                example: false
          description: |
            All choices that were ever available for this field

            Only set for MULTIPLE_CHOICE fields
          example: null
    UserId:
      description: User id
      type: string
      example: 5309c3a237bbc544d8e26737
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````